%define date	091218

Summary:	Open source real-time animation software
Name:		animata
Version:	004
Release:	%mkrel 0.%date.8
Source0:	http://animata.googlecode.com/files/%{name}_%{version}-%{date}.tar.gz
Patch0:		animata-004-mdv-fix-FL-include-path.patch
Patch1:		animata-fltk-1.3.patch
Patch2:         animata-fix-includes.patch
License:	GPLv3
Group:		Graphics/Utilities 
URL:		http://animata.kibu.hu/
BuildRequires:	scons
BuildRequires:	fltk-devel
BuildRequires:	mesaglu-devel
BuildRequires:	x11-server-xvfb
%description
Animata is an open source real-time animation software, designed to create
animations, interactive background projections for concerts, theatre and dance
performances.

%files  
%doc README AUTHORS CHANGES COPYING examples 
%_bindir/%{name}
%_datadir/icons/animata_icon.png
%_datadir/applications/%_real_vendor-%{name}.desktop

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p1 

sed -i -e "s/^LINKFLAGS =.*/LINKFLAGS = '%ldflags'/" src/SConscript

%build
%setup_compile_flags
/usr/bin/xvfb-run -a %scons

%install
%__rm -rf %buildroot
%__mkdir -p %buildroot/%_bindir
%__mkdir -p %buildroot/%_datadir/icons/
%__cp build/%{name}	%buildroot/%_bindir
%__cp data/animata_icon.png	%buildroot/%_datadir/icons/

%__mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-%{name}.desktop << EOF
[Desktop Entry]
Name=Animata
Comment=Open source real-time animation software
Exec=animata
Icon=animata_icon
StartupNotify=true
Type=Application
Categories=3DGraphics;Graphics;Viewer;
EOF


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 004-0.091218.8.mga3
+ Revision: 345554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 dmorgan <dmorgan> 004-0.091218.7.mga3
+ Revision: 327987
- Fix includes to build with new gcc

* Wed Aug 03 2011 fwang <fwang> 004-0.091218.6.mga2
+ Revision: 131529
- update file list
- use system compiile flags
- fix build with fltk 1.3
  Fl_Color is now unsigned int in fltk 1.3
- rebuild for new fltk

  + misc <misc>
    - rebuild for fltk ( who has changed major ? )

  + dmorgan <dmorgan>
    - Re introduce date macro
    - Clean spec file

* Fri May 13 2011 mikala <mikala> 004-0.091218.3.mga1
+ Revision: 98283
- imported package animata

